---
title: Services API
---

## List Services

```
GET /v1/environments/:environmentId/services
```

## Create Application

```
POST /v1/environments/:environmentId/services/application
```

```json
{
  "name": "my-app",
  "slug": "my-app",
  "gitRepoUrl": "https://github.com/user/repo",
  "gitBranch": "main",
  "port": 3000,
  "planId": "uuid"
}
```

## Create WordPress

```
POST /v1/environments/:environmentId/services/wordpress
```

```json
{
  "name": "my-blog",
  "slug": "my-blog",
  "siteTitle": "My Blog",
  "adminEmail": "admin@example.com",
  "planId": "uuid"
}
```

## Create Database

```
POST /v1/environments/:environmentId/services/database
```

```json
{
  "name": "my-db",
  "dbType": "postgresql",
  "dbVersion": "16"
}
```

## Get Service

```
GET /v1/services/:serviceId
```

## Stop Service

```
POST /v1/services/:serviceId/stop
```

## Restart Service

```
POST /v1/services/:serviceId/restart
```

## Delete Service

```
DELETE /v1/environments/:environmentId/services/:serviceId
```
